Index: terepaima-0.4.16/moc/moc_thumbnailitem.cpp
===================================================================
--- terepaima-0.4.16/moc/moc_thumbnailitem.cpp	(revision 1487f05dbbaee1f4def7af3890c76efff5e0d60e)
+++ terepaima-0.4.16/moc/moc_thumbnailitem.cpp	(revision 1f4adec359c5217a01caac08e395b35ebeb3792d)
@@ -2,5 +2,5 @@
 ** Meta object code from reading C++ file 'thumbnailitem.h'
 **
-** Created by: The Qt Meta Object Compiler version 67 (Qt 5.7.1)
+** Created by: The Qt Meta Object Compiler version 63 (Qt 4.8.6)
 **
 ** WARNING! All changes made in this file will be lost!
@@ -8,10 +8,8 @@
 
 #include "../sources/thumbnailitem.h"
-#include <QtCore/qbytearray.h>
-#include <QtCore/qmetatype.h>
 #if !defined(Q_MOC_OUTPUT_REVISION)
 #error "The header file 'thumbnailitem.h' doesn't include <QObject>."
-#elif Q_MOC_OUTPUT_REVISION != 67
-#error "This file was generated using the moc from 5.7.1. It"
+#elif Q_MOC_OUTPUT_REVISION != 63
+#error "This file was generated using the moc from 4.8.6. It"
 #error "cannot be used with the include files from this version of Qt."
 #error "(The moc has changed too much.)"
@@ -19,29 +17,8 @@
 
 QT_BEGIN_MOC_NAMESPACE
-struct qt_meta_stringdata_qpdfview__ThumbnailItem_t {
-    QByteArrayData data[3];
-    char stringdata0[49];
-};
-#define QT_MOC_LITERAL(idx, ofs, len) \
-    Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
-    qptrdiff(offsetof(qt_meta_stringdata_qpdfview__ThumbnailItem_t, stringdata0) + ofs \
-        - idx * sizeof(QByteArrayData)) \
-    )
-static const qt_meta_stringdata_qpdfview__ThumbnailItem_t qt_meta_stringdata_qpdfview__ThumbnailItem = {
-    {
-QT_MOC_LITERAL(0, 0, 23), // "qpdfview::ThumbnailItem"
-QT_MOC_LITERAL(1, 24, 23), // "loadInteractiveElements"
-QT_MOC_LITERAL(2, 48, 0) // ""
-
-    },
-    "qpdfview::ThumbnailItem\0loadInteractiveElements\0"
-    ""
-};
-#undef QT_MOC_LITERAL
-
 static const uint qt_meta_data_qpdfview__ThumbnailItem[] = {
 
  // content:
-       7,       // revision
+       6,       // revision
        0,       // classname
        0,    0, // classinfo
@@ -53,11 +30,13 @@
        0,       // signalCount
 
- // slots: name, argc, parameters, tag, flags
-       1,    0,   19,    2, 0x08 /* Private */,
-
- // slots: parameters
-    QMetaType::Void,
+ // slots: signature, parameters, type, tag, flags
+      25,   24,   24,   24, 0x08,
 
        0        // eod
+};
+
+static const char qt_meta_stringdata_qpdfview__ThumbnailItem[] = {
+    "qpdfview::ThumbnailItem\0\0"
+    "loadInteractiveElements()\0"
 };
 
@@ -65,6 +44,6 @@
 {
     if (_c == QMetaObject::InvokeMetaMethod) {
+        Q_ASSERT(staticMetaObject.cast(_o));
         ThumbnailItem *_t = static_cast<ThumbnailItem *>(_o);
-        Q_UNUSED(_t)
         switch (_id) {
         case 0: _t->loadInteractiveElements(); break;
@@ -75,19 +54,26 @@
 }
 
-const QMetaObject qpdfview::ThumbnailItem::staticMetaObject = {
-    { &PageItem::staticMetaObject, qt_meta_stringdata_qpdfview__ThumbnailItem.data,
-      qt_meta_data_qpdfview__ThumbnailItem,  qt_static_metacall, Q_NULLPTR, Q_NULLPTR}
+const QMetaObjectExtraData qpdfview::ThumbnailItem::staticMetaObjectExtraData = {
+    0,  qt_static_metacall 
 };
 
+const QMetaObject qpdfview::ThumbnailItem::staticMetaObject = {
+    { &PageItem::staticMetaObject, qt_meta_stringdata_qpdfview__ThumbnailItem,
+      qt_meta_data_qpdfview__ThumbnailItem, &staticMetaObjectExtraData }
+};
+
+#ifdef Q_NO_DATA_RELOCATION
+const QMetaObject &qpdfview::ThumbnailItem::getStaticMetaObject() { return staticMetaObject; }
+#endif //Q_NO_DATA_RELOCATION
 
 const QMetaObject *qpdfview::ThumbnailItem::metaObject() const
 {
-    return QObject::d_ptr->metaObject ? QObject::d_ptr->dynamicMetaObject() : &staticMetaObject;
+    return QObject::d_ptr->metaObject ? QObject::d_ptr->metaObject : &staticMetaObject;
 }
 
 void *qpdfview::ThumbnailItem::qt_metacast(const char *_clname)
 {
-    if (!_clname) return Q_NULLPTR;
-    if (!strcmp(_clname, qt_meta_stringdata_qpdfview__ThumbnailItem.stringdata0))
+    if (!_clname) return 0;
+    if (!strcmp(_clname, qt_meta_stringdata_qpdfview__ThumbnailItem))
         return static_cast<void*>(const_cast< ThumbnailItem*>(this));
     return PageItem::qt_metacast(_clname);
@@ -103,8 +89,4 @@
             qt_static_metacall(this, _c, _id, _a);
         _id -= 1;
-    } else if (_c == QMetaObject::RegisterMethodArgumentMetaType) {
-        if (_id < 1)
-            *reinterpret_cast<int*>(_a[0]) = -1;
-        _id -= 1;
     }
     return _id;
